/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rankingimagenes;

import java.awt.image.BufferedImage;
import java.io.File;
import java.util.ArrayList;
import javax.swing.JLabel;

/**
 *
 * @author Diego Vazquez Blanco
 */
public class DatosRanking {
    
    private ArrayList<BufferedImage> lista_seleccionadas_rgb;
    private ArrayList<String> lista_metadatos_seleccionados;
    private ArrayList<JLabel> lista_labels_seleccionados;
    private ArrayList<ArrayList<JLabel>> array_listas_labels_ranking;
    private ArrayList<File> lista_ficheros_seleccionados;
    private ArrayList<ArrayList<File>> array_listas_ficheros_ranking;
    private String algoritmo;
    
    /**
     * Contructor de la clase
     * @param array_seleccionadas Array que contiene 3 arrays (Lista Imgs RGB Seleccionadas, Lista Labels Seleccionadas, Lista Metadatos Seleccionadas)
     * @param algoritmo Algoritmo escogido para el calculo del parecido de las imagenes del ranking
     */
    public DatosRanking(ArrayList<ArrayList> array_seleccionadas, String algoritmo){
        lista_seleccionadas_rgb = array_seleccionadas.get(0);
        lista_labels_seleccionados = array_seleccionadas.get(1);
        lista_metadatos_seleccionados = array_seleccionadas.get(2);
        lista_ficheros_seleccionados = array_seleccionadas.get(3);
        array_listas_labels_ranking = new ArrayList<>();
        array_listas_ficheros_ranking = new ArrayList<>();
        this.algoritmo = algoritmo;
    }
    
            /* LISTA DE IMAGENES RGB */
    public void addListaSeleccionadasRGB(BufferedImage imagen){
        lista_seleccionadas_rgb.add(imagen);
    }
    
    public BufferedImage getImagenListaSeleccionadasRGB(int i){
        return lista_seleccionadas_rgb.get(i);
    }
    
    public ArrayList<BufferedImage> getListaSeleccionadasRGB(){
        return lista_seleccionadas_rgb;
    }
    
            /* LISTA DE LABELS SELECCIONADOS */
    public void addListaLabelsSeleccionados(JLabel label){
        lista_labels_seleccionados.add(label);
    }
    
    public JLabel getLabelListaSeleccionados(int i){
        return lista_labels_seleccionados.get(i);
    }
    
    public ArrayList<JLabel> getListaLabelsSeleccionados(){
        return lista_labels_seleccionados;
    }
    
            /* ARRAY DE LISTAS DE LABELS RANKING */
    public void addArrayListasLabelsRanking(ArrayList<JLabel> lista){
        array_listas_labels_ranking.add(lista);
    }
    
    public ArrayList<JLabel> getListaArrayListasLabelsRanking(int i){
        return array_listas_labels_ranking.get(i);
    }
    
    public ArrayList<ArrayList<JLabel>> getArrayListasLabelsRanking(){
        return array_listas_labels_ranking;
    }
    
                /* LISTA DE METADATOS SELECCIONADOS */
    public void addListaMetadatosSeleccionados(String metadatos){
        lista_metadatos_seleccionados.add(metadatos);
    }
    
    public String getMetadatosListaSeleccionados(int i){
        return lista_metadatos_seleccionados.get(i);
    }
    
    public ArrayList<String> getListaMetadatosSeleccionados(){
        return lista_metadatos_seleccionados;
    }
    
                /* LISTA DE FICHEROS RANKING */
    public void addListaFicherosSeleccionados(File fichero){
        lista_ficheros_seleccionados.add(fichero);
    }
    
    public File getFicheroListaSeleccionados(int i){
        return lista_ficheros_seleccionados.get(i);
    }
    
    public ArrayList<File> getListaFicherosSeleccionados(){
        return lista_ficheros_seleccionados;
    }
    
                /* ARRAY DE LISTAS DE FICHEROS RANKING */
    public void addArrayListasFicherosRanking(ArrayList<File> lista){
        array_listas_ficheros_ranking.add(lista);
    }
    
    public ArrayList<File> getListaArrayListasFicherosRanking(int i){
        return array_listas_ficheros_ranking.get(i);
    }
    
    public ArrayList<ArrayList<File>> getArrayListasFicherosRanking(){
        return array_listas_ficheros_ranking;
    }
        
                /* ALGORITMO DE CALCULO DEL RANKING */
    public void setAlgoritmoCalculoRanking(String algoritmo){
        this.algoritmo = algoritmo;
    }
    
    public String getAlgoritmoCalculoRanking(){
            return algoritmo;
    }
}
